---
- hosts: downloader
  sudo: no
  roles:
    - { role: download, tags: download }

# etcd must be running on master(s) before going on
- hosts: kube-master
  roles:
    - { role: etcd, tags: etcd }

- hosts: k8s-cluster
  roles:
    - { role: docker, tags: docker }
    - { role: dnsmasq, tags: dnsmasq }
    - { role: network_plugin, tags: ['calico', 'flannel', 'network'] }

- hosts: kube-node
  roles:
    - { role: kubernetes/node, tags: node }

- hosts: kube-master
  roles:
    - { role: kubernetes/master, tags: master }
